Skip to main content
GET
/
api
/
customers
curl --location --request GET 'https://api.explo.co/api/customers/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>'
{
  "success": 1,
  "new_customer": true,
  "customers": [{
    "token": "<customer_token_to_auth_dashboard>",
    "name": "Example 1",
    "provided_id": "example_1",
    "is_demo_group": false,
    "emails": ["[email protected]"],
    "group_tags": ["designers", "engineers"],
    "properties": { "filterValue": "value" },
    "computed_properties": { "filterValue": "value" },
    "access_group": "Development",
    "parent_schema_datasource_mapping": {"40": "213": "134": "386"},
    "computed_parent_schema_datasource_mapping": {"40": "213": "134": "386"},
    "hierarchy_level": "Level 1"
  }, {
    "token": "<customer_token_to_auth_dashboard>",
    "name": "Example 2",
    "provided_id": "example_2",
    "is_demo_group": false,
    "emails": ["[email protected]"],
    "group_tags": [],
    "properties": { "filterValue": "value" },
    "computed_properties": { "filterValue": "value" },
    "access_group": "Production",
    "parent_schema_datasource_mapping": {"40": "213": "134": "386"},
    "computed_parent_schema_datasource_mapping": {"40": "213": "134": "386"},
    "hierarchy_level": "Level 2"
  }]
}

Documentation Index

Fetch the complete documentation index at: https://docs.explo.co/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint gets all of your customers. This list will be filtered to the customers your API token has access to.
parent_provided_id
string
Filters customers to those with specified parent provided id.
hierarchy_level_name
string
Filters customers to those within the specified hierarchy level.

Response

success
number
Indicates whether the call was successful. 1 if successful, 0 if not.
customers
object[]
The contents of each customer
curl --location --request GET 'https://api.explo.co/api/customers/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>'
{
  "success": 1,
  "new_customer": true,
  "customers": [{
    "token": "<customer_token_to_auth_dashboard>",
    "name": "Example 1",
    "provided_id": "example_1",
    "is_demo_group": false,
    "emails": ["[email protected]"],
    "group_tags": ["designers", "engineers"],
    "properties": { "filterValue": "value" },
    "computed_properties": { "filterValue": "value" },
    "access_group": "Development",
    "parent_schema_datasource_mapping": {"40": "213": "134": "386"},
    "computed_parent_schema_datasource_mapping": {"40": "213": "134": "386"},
    "hierarchy_level": "Level 1"
  }, {
    "token": "<customer_token_to_auth_dashboard>",
    "name": "Example 2",
    "provided_id": "example_2",
    "is_demo_group": false,
    "emails": ["[email protected]"],
    "group_tags": [],
    "properties": { "filterValue": "value" },
    "computed_properties": { "filterValue": "value" },
    "access_group": "Production",
    "parent_schema_datasource_mapping": {"40": "213": "134": "386"},
    "computed_parent_schema_datasource_mapping": {"40": "213": "134": "386"},
    "hierarchy_level": "Level 2"
  }]
}